Page MenuHomePhabricator

WARNING: "Failed to find visualeditor-toolbar-savedialog" in message cache
Closed, ResolvedPublic

Description

Error

Request URL: GET /w/load.php?lang= … &modules=startup&only=scripts&skin=minerva&target=mobile
Request ID: XQu18gpAMFMAAH7nS2kAAACM

level: WARNING
normalised: Failed to find {messageKey} ({lang})
message:

Failed to find visualeditor-toolbar-savedialog …

Impact

Unknown.

Notes

This is registered in the GettingStarted extension, but not defined anywhere. Based on the message namespace, I suspect it is meant to (or once was) defined by the VisualEditor extension?

See Codesearch query.

Details

Related Gerrit Patches:
mediawiki/extensions/GettingStarted : masterFollow-up I597166c5b in GuidedTour: Also delete the old message here
mediawiki/extensions/GuidedTour : masterFollow-up I597166c5b: pass in the right message

Event Timeline

Krinkle created this task.Jun 20 2019, 5:27 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptJun 20 2019, 5:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Krinkle updated the task description. (Show Details)Jun 20 2019, 5:27 PM

We removed the message from VE in https://gerrit.wikimedia.org/r/c/mediawiki/extensions/VisualEditor/+/516266, it's supposed to be unused.

So, we fixed one use of this message: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/GuidedTour/+/516270 but apparently there are others…

Change 518176 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/GettingStarted@master] Follow-up I597166c5b in GuidedTour: Update the fed-in message

https://gerrit.wikimedia.org/r/518176

Change 518178 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GuidedTour@master] Follow-up I597166c5b: pass in the right message

https://gerrit.wikimedia.org/r/518178

Change 518178 merged by jenkins-bot:
[mediawiki/extensions/GuidedTour@master] Follow-up I597166c5b: pass in the right message

https://gerrit.wikimedia.org/r/518178

Change 518176 merged by jenkins-bot:
[mediawiki/extensions/GettingStarted@master] Follow-up I597166c5b in GuidedTour: Also delete the old message here

https://gerrit.wikimedia.org/r/518176

The message "visualeditor-toolbar-savedialog" is still used in these messages:

  • "guidedtour-tour-gettingstartedtasktoolbarve-click-save-description" in GettingStarted
  • "guidedtour-tour-gettingstartedtasktoolbarve-click-save-description-wikipedia" in WikimediaMessages

Change 519293 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/GettingStarted@master] Follow-up I32fc303e: Actually fix T226202

https://gerrit.wikimedia.org/r/519293

Change 519295 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/WikimediaMessages@master] Follow-up I32fc303e: Actually fix T226202

https://gerrit.wikimedia.org/r/519295

Change 519293 merged by jenkins-bot:
[mediawiki/extensions/GettingStarted@master] Follow-up I32fc303e: Actually fix T226202

https://gerrit.wikimedia.org/r/519293

Change 519295 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Follow-up I32fc303e: Actually fix T226202

https://gerrit.wikimedia.org/r/519295

matmarex closed this task as Resolved.Jun 26 2019, 10:23 PM
matmarex added a subscriber: Jdforrester-WMF.

@Jdforrester-WMF Thanks, I was just about to make those patches.

I also fixed the translations on Translatewiki just now (https://translatewiki.net/wiki/Special:Contributions/Matma_Rex).

I think now it's actually fixed (or will be when the translations are exported).

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 26 2019, 10:23 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:06 PM